Bug 167178 - openoffice.org 1.9.125-1.1.0.fc4 crashes
openoffice.org 1.9.125-1.1.0.fc4 crashes
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-31 07:53 EDT by Aleksander Adamowski
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 04:00:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace of the crash (9.76 KB, text/plain)
2005-08-31 10:22 EDT, Eric Doutreleau
no flags Details
configuration of a user that crashed (672.28 KB, application/x-gzip)
2005-09-08 12:00 EDT, Eric Doutreleau
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 53850 None None None Never
OpenOffice.org 54040 None None None Never

  None (edit)
Description Aleksander Adamowski 2005-08-31 07:53:33 EDT
Description of problem:

The latest OpenOffice for FC4 crashes occasionally for no apparent reason.

Version-Release number of selected component (if applicable):

openoffice.org-core-1.9.125-1.1.0.fc4

How reproducible:

Occurs occasionally (about once a day)

Steps to Reproduce:
1. Work with OpenOffice for a couple of days
  
Actual results:

OpenOffice crashes. It crashed once when I've been browsing the available
macros. Today it crashed when it was just sitting idle on a different virtual
deskop for a couple of hours, with a single .DOC document opened up.

Here's the stack trace that OpenOffice crash handler has provided:

0x7e4b8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x7e53d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0x365420:  + 0x420 (__kernel_sigreturn + 0x0)
0x12a888: /lib/libc.so.6 + 0x29888 (abort + 0xf8)
0x4aed5e: /usr/lib/libstdc++.so.6 + 0xb7d5e
(__gnu_cxx::__verbose_terminate_handler() + 0x16e)
0x4aca31: /usr/lib/libstdc++.so.6 + 0xb5a31
0x4aca66: /usr/lib/libstdc++.so.6 + 0xb5a66
0x4acbf4: /usr/lib/libstdc++.so.6 + 0xb5bf4 (__cxa_rethrow + 0x5a)
0x1147c31: /usr/lib/openoffice.org2.0/program/configmgr2.uno.so + 0xf6c31
0x1146376: /usr/lib/openoffice.org2.0/program/configmgr2.uno.so + 0xf5376
0x520eea9: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x11fea9
0x520fe16: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x120e16
0x5210242: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x121242
0x521032e: /usr/lib/openoffice.org2.0/program/libfwk680li.so + 0x12132e
0x3ba4592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x3bb0116: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e116
(Timer::Timeout() + 0x10)
0x3bb0490: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8e490
0x6b4001: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f001
0x6b3fec: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3efec
(SalData::Timeout() const + 0x24)
0x31a416: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa416
0x6e96da6: /usr/lib/libglib-2.0.so.0 + 0x24da6
0x6e9528e: /usr/lib/libglib-2.0.so.0 + 0x2328e (g_main_context_dispatch + 0x1dc)
0x6e98296: /usr/lib/libglib-2.0.so.0 + 0x26296
0x6e98778: /usr/lib/libglib-2.0.so.0 + 0x26778 (g_main_context_iteration + 0x66)
0x31a5f9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5f9
0x6bad99: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45d99
(X11SalInstance::Yield(unsigned char) + 0x29)
0x3baa8f4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x888f4
(Application::Yield() + 0x50)
0x3baa932: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88932
(Application::Execute() + 0x26)
0x4ad1254: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29254
(desktop::Desktop::Main() + 0x149a)
0x3bafd21: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd21 (SVMain()
+ 0x45)
0x4acc307: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24307 (sal_main
+ 0x47)
0x115d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5



Additional info:

There's some possibly related software installed here (might be significant):
Sun java JDK+RE 1.4.2.09
extendedPDF 1.3 extension for OpenOffice
Comment 1 Caolan McNamara 2005-08-31 08:04:15 EDT
would be great if you could install the debuginfo openoffice.org-debuginfo
package and if it happens again attach the more detailed report that that would
give.

This is strange behaviour.
Comment 2 Eric Doutreleau 2005-08-31 09:12:28 EDT
we have here exactly the same problems

it occurs when we save document
Comment 3 Caolan McNamara 2005-08-31 09:24:27 EDT
for the original reporter, this might be happening on auto-save of a document
left open.

Eric: you seem to be able to reproduce it ? Does it happen on saving impress
documents ?, All documents ?. If you can reproduce it can you shutdown office
then from a shell...

> gdb /usr/lib/openoffice.org2.0/program/soffice.bin
(gdb) handle SIGPWR nostop noprint
(gdb) handle SIGXCPU nostop noprint
(gdb) handle SIG33 nostop noprint
(gdb) run -impress
(gdb) bt
and paste in the results when it crashes

If you have the bandwidth to 
yum -y install openoffice.org-debuginfo before you run gdb it would give better
results
Comment 4 Eric Doutreleau 2005-08-31 10:22:24 EDT
Created attachment 118300 [details]
backtrace of the crash
Comment 5 Eric Doutreleau 2005-08-31 10:26:40 EDT
i have just attached the backtrace of the crash

it occurs each time we want to save a document with the writer
it s the same with impress or calc
Comment 6 Caolan McNamara 2005-08-31 10:32:47 EDT
interesting indeed, what does 

> rpm -q openoffice.org-graphicfilter

say ?
Comment 7 Eric Doutreleau 2005-08-31 16:28:40 EDT
openoffice.org-graphicfilter-1.9.125-1.1.0.fc4

Comment 8 James Hunt 2005-09-03 07:39:56 EDT
I have exactly the same problem:

# rpm -qa|grep -i openoffice
openoffice.org-calc-1.9.125-1.1.0.fc4
openoffice.org-impress-1.9.125-1.1.0.fc4
openoffice.org-writer-1.9.125-1.1.0.fc4
openoffice.org-draw-1.9.125-1.1.0.fc4
openoffice.org-core-1.9.125-1.1.0.fc4
openoffice.org-math-1.9.125-1.1.0.fc4

Attempting to save a document gives this *every* time:


------------------------------------------------------------------
0x843b8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x8443d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0xc86420:  + 0x420 (__kernel_sigreturn + 0x0)
0x34d8d88: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1fcd88
(FilterConfigCache::FilterConfigCache(unsigned char) + 0x8c)
0x34c10b5: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e50b5
(GraphicFilter::ImplInit() + 0xb1)
0x34c1233: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e5233
(GraphicFilter::GraphicFilter(unsigned char) + 0x71)
0x34c1b93: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e5b93
(GraphicFilter::GetGraphicFilter() + 0x3f)
0x32b451d: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2451d
(desktop::Desktop::ImplInitFilterHdl(desktop::ConvertData*) + 0xb)
0x2557592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x258c925: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xb7925
(GraphicConverter::Export(SvStream&, Graphic const&, unsigned long) + 0x47)
0x3123e33: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16de33
0x30df06a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12906a
(SfxObjectShell::WriteThumbnail(unsigned char, unsigned char, unsigned char,
com::sun::star::uno::Reference<com::sun::star::io::XStream> const&) + 0x13e)
0x30df5f4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1295f4
(SfxObjectShell::GenerateAndStoreThumbnail(unsigned char, unsigned char,
unsigned char, com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&) + 0xf2)
0x30e56f2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12f6f2
0x30e63af: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1303af
0x30e689b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13089b
0x30eb33e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13533e
0x310e4b5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1584b5
0x3111b10: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15bb10
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xc0)
0x3121d15: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16bd15
0x30eccfc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x136cfc
0x30ee266: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x138266
0x315d0ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a70ba
0x315c4a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a64a7
0x315c7bb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a67bb
0x315c85e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a685e
0x305d312: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa7312
0x31757bd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf7bd
0x3175678: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf678
0x31757d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf7d2
0x3175664: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf664
0x2557592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x26aba47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6a47
0x5748e72: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ee72
0x576e0cd: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x440cd
(SalDisplay::DispatchInternalEvent() + 0xad)
0xc569d3: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa9d3
0x598d650: /usr/lib/libglib-2.0.so.0 + 0x25650
0x598b3ee: /usr/lib/libglib-2.0.so.0 + 0x233ee (g_main_context_dispatch + 0x1dc)
0x598e3f6: /usr/lib/libglib-2.0.so.0 + 0x263f6
0x598e8d8: /usr/lib/libglib-2.0.so.0 + 0x268d8 (g_main_context_iteration + 0x66)
0xc565f9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5f9
0x576fd99: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45d99
(X11SalInstance::Yield(unsigned char) + 0x29)
0x255d8f4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x888f4
(Application::Yield() + 0x50)
0x255d932: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88932
(Application::Execute() + 0x26)
0x32b9254: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29254
(desktop::Desktop::Main() + 0x149a)
0x2562d21: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd21 (SVMain()
+ 0x45)
0x32b4307: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24307 (sal_main
+ 0x47)
0x304d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5
------------------------------------------------------------------

This is saving using the default ".odt" format. Tried ".sxw" - same problem.
Here's the ironic workaround...

  Save the file as ".doc" (Word 97/2000/XP), and it works!!

I've lost trust in OO for the time being. Thankfully Abiword is available in
extras as a fall-back.
Comment 9 James Hunt 2005-09-03 07:47:40 EDT
Additional info: installing  openoffice.org-graphicfilter-1.9.125-1.1.0.fc4
doesn't help...

------------------------------------------------------------------
0x843b8a: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1db8a
0x8443d8: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e3d8
0x7e1420:  + 0x420 (__kernel_sigreturn + 0x0)
0x34d8d88: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1fcd88
(FilterConfigCache::FilterConfigCache(unsigned char) + 0x8c)
0x34c10b5: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e50b5
(GraphicFilter::ImplInit() + 0xb1)
0x34c1233: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e5233
(GraphicFilter::GraphicFilter(unsigned char) + 0x71)
0x34c1b93: /usr/lib/openoffice.org2.0/program/libsvt680li.so + 0x1e5b93
(GraphicFilter::GetGraphicFilter() + 0x3f)
0x32b451d: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x2451d
(desktop::Desktop::ImplInitFilterHdl(desktop::ConvertData*) + 0xb)
0x2557592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x258c925: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0xb7925
(GraphicConverter::Export(SvStream&, Graphic const&, unsigned long) + 0x47)
0x3123e33: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16de33
0x30df06a: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12906a
(SfxObjectShell::WriteThumbnail(unsigned char, unsigned char, unsigned char,
com::sun::star::uno::Reference<com::sun::star::io::XStream> const&) + 0x13e)
0x30df5f4: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1295f4
(SfxObjectShell::GenerateAndStoreThumbnail(unsigned char, unsigned char,
unsigned char, com::sun::star::uno::Reference<com::sun::star::embed::XStorage>
const&) + 0xf2)
0x30e56f2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x12f6f2
0x30e63af: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1303af
0x30e689b: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13089b
0x30eb33e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x13533e
0x310e4b5: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1584b5
0x3111b10: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x15bb10
(SfxBaseModel::storeAsURL(rtl::OUString const&,
com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const&) + 0xc0)
0x3121d15: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x16bd15
0x30eccfc: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x136cfc
0x30ee266: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x138266
0x315d0ba: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a70ba
0x315c4a7: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a64a7
0x315c7bb: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a67bb
0x315c85e: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1a685e
0x305d312: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0xa7312
0x31757bd: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf7bd
0x3175678: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf678
0x31757d2: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf7d2
0x3175664: /usr/lib/openoffice.org2.0/program/libsfx680li.so + 0x1bf664
0x2557592: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x82592
0x26aba47: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6a47
0x4dd4e72: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x1ee72
0x4dfa0cd: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x440cd
(SalDisplay::DispatchInternalEvent() + 0xad)
0x1c29d3: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa9d3
0x539f650: /usr/lib/libglib-2.0.so.0 + 0x25650
0x539d3ee: /usr/lib/libglib-2.0.so.0 + 0x233ee (g_main_context_dispatch + 0x1dc)
0x53a03f6: /usr/lib/libglib-2.0.so.0 + 0x263f6
0x53a08d8: /usr/lib/libglib-2.0.so.0 + 0x268d8 (g_main_context_iteration + 0x66)
0x1c25f9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa5f9
0x4dfbd99: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x45d99
(X11SalInstance::Yield(unsigned char) + 0x29)
0x255d8f4: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x888f4
(Application::Yield() + 0x50)
0x255d932: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88932
(Application::Execute() + 0x26)
0x32b9254: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x29254
(desktop::Desktop::Main() + 0x149a)
0x2562d21: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dd21 (SVMain()
+ 0x45)
0x32b4307: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x24307 (sal_main
+ 0x47)
0x304d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484c5: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x4c5

------------------------------------------------------------------
Comment 10 Caolan McNamara 2005-09-05 10:10:44 EDT
"GenerateAndStoreThumbnail", does anyone have a document which when saved
reproduces this always ? From the stacktrace it looks like this is something
where a document has another document embedded inside it, and on save to some
format (presumably the OOo native formats) the generation of a preview image of
the embedded document causes a crash for some reason. e.g. perhaps a spreadsheet
in a word processor document.

James: did you had some document which did this everytime, unless saved as .doc,
if you loaded that .doc and saved as .sxw does it always crash ?

I had a patch which looks like it would remove the immediate crash but I would
like to track down why it's happening
Comment 11 Eric Doutreleau 2005-09-05 11:44:10 EDT
well i have the crash even when i m trying to save an empty document.
Comment 12 Caolan McNamara 2005-09-06 03:03:27 EDT
Eric:  

shutdown OOo
> tar cvzf userconfig.tar.gz ~/.openoffice.org2.0
> rm -rf ~/.openoffice.org2.0
restart OOo

does the problem persist, i.e. is there something in your personal config which
has become corrupt or to find out if there is some setting which I don't share
which is behind this.
Comment 13 Eric Doutreleau 2005-09-06 05:11:56 EDT
well i have just test that
i got the same result.

some information about my system

my user are defined in a ldap database and the homedirs is nfs mounted.

and i got the same result as James
saving in doc format works.

i have other computers that didi'nt use ldap nor NFS and i didn't have the problem.
Comment 14 Caolan McNamara 2005-09-06 05:22:41 EDT
ok, so do both reproducers of this bug have a ldap setup ? 

perhaps try this and see if it makes any difference:
mv /usr/lib/openoffice.org2.0/program/libdb-4.2.so /tmp/backup
Comment 15 Eric Doutreleau 2005-09-06 08:01:24 EDT
well just tried

same crash when i try to save the data
Comment 16 Caolan McNamara 2005-09-08 10:23:40 EDT
Are all reporters KDE users ?
Comment 17 Eric Doutreleau 2005-09-08 11:22:33 EDT
well 
the crash is under the GNOME environnment.
but KDE is also installed on the machine
Comment 18 Caolan McNamara 2005-09-08 11:47:21 EDT
can someone 

> tar userconfig.tar.gz ~/.openoffice.org2.0

and I'll see if it's per-user config related to try and reproduce
Comment 19 Eric Doutreleau 2005-09-08 12:00:35 EDT
Created attachment 118603 [details]
configuration of a user that crashed

here is the copy of the .openoffice.org2.0 directory
Comment 20 Caolan McNamara 2005-09-09 04:26:20 EDT
That's frustrating, still no crash for me. 

Once I saw a crash in OOo startup because of a corrupt configuration file in
/usr/lib/openoffice.org2.0 which somehow got busted during rpm installation. My
only suggestion is to rpm --erase openoffice.org, verify that
/usr/lib/openoffice.org2.0 is missing, rm -rf if necessary and reinstall.
Comment 21 James Hunt 2005-09-12 09:23:36 EDT
Hi Caolan,

Apologies for delay in replying (on holiday ;-)

This is repeatable for me:

1. start up openoffice.org writer
2. type 'j'
3. select file->save
4. type 'j' for filename (leave file type as default '.odt')
5. click save => CRASH - I'm left with a zero-sized file

If I repeat the above steps, but select '.doc', the file saves correctly, and I
am able to successfully re-open the file. However, if I then attempt to re-save
this file in '.odt' format, it also crashes.
Comment 22 James Hunt 2005-09-12 09:25:44 EDT
Doing an, "rm -rf .openoffice.org2.0" and restarting OO doesn't help...?
Comment 23 Eric Doutreleau 2005-09-12 12:02:39 EDT
well i have make some experiment

on the machine i have the problem

yum remove openoffice.orge-core

'rm' -rf /usr/lib/openoffice.org2.0
'rm' -rf /usr/lib/openoffice.org1.9.104

yum install 'all openoffice packages i need' and i don't have the problems anymore.

If i don't remove the two directories
/usr/lib/openoffice.org2.0
/usr/lib/openoffice.org1.9.104

it didn't worl.

i reinstall the machine and then it didn't work too.

i guess the problem is in the yum update commmand.
i will try now without installing the updates.

Comment 24 Caolan McNamara 2005-09-20 05:58:16 EDT
So if one rpm --erases OOo and removes any old directories of
/usr/lib/openoffice* and the reinstalls it then it's ok. So there might have
been some droppings from older OOo versions floating around in the
openoffice.org2.0 dir. 
Comment 25 James Hunt 2005-09-28 15:00:14 EDT
Sorry to be the bearer of bad news, but "rm -rf /usr/lib/openoffice*", and
re-installing doesn't help me - I still have exactly the same problem after the
re-install.

After removing OOo, /usr/lib/openoffice* was only a bunch of empty directories
anyway...

find /usr/lib/openoffice*

openoffice.org1.9.104
openoffice.org1.9.104/share
openoffice.org1.9.104/share/readme
openoffice.org1.9.104/program
openoffice.org1.9.104/program/resource
openoffice.org2.0
openoffice.org2.0/share
openoffice.org2.0/share/registry
openoffice.org2.0/share/registry/modules
openoffice.org2.0/share/registry/modules/org
openoffice.org2.0/share/registry/modules/org/openoffice
openoffice.org2.0/share/registry/modules/org/openoffice/TypeDetection
openoffice.org2.0/share/registry/modules/org/openoffice/TypeDetection/GraphicFilter

Any more ideas anyone??

Comment 26 Eric Doutreleau 2005-10-25 11:01:27 EDT
Well it s very strange

sometimes it works
sometimes it doesn't
and i didn't know

the result is that openoffice is useless
Comment 27 Caolan McNamara 2005-10-25 11:09:12 EDT
Try with 2.0.0, but there are thousands using it, so theres got to be
*something* unique about your personal setup which I cannot reproduce
Comment 28 James Hunt 2005-10-26 04:01:47 EDT
I upgraded to openoffice.org-writer-2.0.0-3.2.1 yesterday, and I still have the
problem ;-(

I'd have thought an application as large as OOo would have some form of 'trace'
facility built into it to help diagnose issues like this???

Sigh, I'll have to stick to AbiWord then I suppose....
Comment 29 Caolan McNamara 2005-10-26 04:09:15 EDT
The thing is that I simply don't believe that this is an OOo bug, but instead a
bug in one of OOo's dependancies, e.g. incompatable expat/libxml/neon/curl. I
can't fix what I can't see, and while 100% reproducable for you, not for me.
Comment 30 James Hunt 2005-10-26 04:52:13 EDT
I understand Caolan - I'll update this bug with any more details I can track
down (expat/libxml/neon/curl version, etc) when I'm back from my trip.

Note You need to log in before you can comment on or make changes to this bug.